Homey V5 (Discussion about v5 before it was released to stable)

The smart presence app does indeed no longer work. SDK version is not supported

almost everything works fine.

I have a lot of IKEA zigbee devices and they seem to respond well

I only found only problems with Robb smarrt’s new app. V2.0.2
This app was automatically updated after the homey v5 update
I can no longer start a scene with my wall controlers (z-wave)

The connection is good because the signal comes in on the devolper page when I press a button.

If I create a new flow and choose “a scene is activated” then the list is empty and I cannot select a scene.

We have created a list in the German forum which app works and with which there are problems. You are welcome to add the list to the English forum and keep it up.

Which version of the smart presence app doesn’t work? The official app store app or the community app store app?

Neither work, both are created in SDKv1. As far as I know at least.

1 Like

Does anyone have any experience on the zigbee rewrite, has the zigbee operation gone any better?

The version in the bitbucket says in app.json “compatibility”: “>=2”

Shouldn’t this mean that it works with sdk3 or is there more to it than that?

That’s the firmware compatibility, not the SDK compatibility. So the app is compatible with firmware v2 and up (which, yes, also includes firmware v5, but when the developer wrote the app he didn’t know that from v5 onwards his app would stop working; technically it should now read >=2 <5)

2 Likes

(FIBARO Motion Sensor and FIBARO DoorWindow Sensor 2 ) after the reset, after a few hours, the tamper alarm again (5.0.0-rc.17 and Fibaro 2.4.6) and (5.0.0-rc.17 and Fibaro 3.0.0З)

What do you mean?

I have now been updated from RC 17 to RC 18
Unfortunately, the “days off” (dutch = vrijdagen) and “sun positions” (dutch = zonnestanden) app no ​​longer works.

Robbsmarrt has also been updated to v2.0.3 and it works perfectly again :partying_face:

1 Like

I want SDK v1 back!

1 Like

why? this comment makes no sense. :confused:

FIBARO Motion Sensor and FIBARO DoorWindow Sensor 2 ) the tamper alarm again (5.0.0-rc.17 and Fibaro 2.4.6) and (5.0.0-rc.17 and Fibaro 3.0.0З)

1 Like

My whole house full with zwave.me dimmers. App is still sdk1😉

Why do you upgrade to the beta version?

Athom has warned that many apps will temporarily stop working until the developer has updated the app to SDK3

Thing is, most apps that still use SDKv1 have been abondend, so even if it reaches stable, these apps most likely won’t be updated.
But there does need to be a line when to stop supporting the old, and that line is now for SDKv1, and has been warned about ever since SDKv2 was released 1,5 years(?) ago but indeed they didn’t mention this.

Not exactly; Athom warned about the Zigbee related apps that will not work, even with a specific list of apps (outdated by now).

They didn’t mention the SDK1 apps will not be working, like the Zwave.me app:

Some devices of the following Homey Apps might not be available when we rollout Homey v5.0.0:

  • HomeControl Zigbee
  • Axis Gear
  • Aqara & Xiaomi ZigBee
  • EcoDim
  • Develco Products
  • FeiBit
  • Tuya Zigbee
  • Schneider Electric Wiser
  • INNR Lighting Devices
  • Plugwise Zigbee Support
  • Ubisys SmartHome ZigBee Devices
  • Isolicht / HOMA
  • Bitron
  • Malmbergs (Zigbee)
  • Gledopto and Tint lights and LED Controllers (ZigBee)
  • ELKO Smart Home
  • Philips Hue ZigBee
  • EasyHome
  • SLC SmartOne
  • iCasa
  • ROBB smarrt

If you are highly dependent on one of those apps, we suggest you disable experimental updates at https://developer.athom.com/tools/settings.

2 Likes

they did. that is written in the release note. but you are right, they could have put this in the warning mail

I didnot update, but it would be very disappointing if sdk1 apps will not working with v5 for lots of people!

You as zwave developer interested in rewrite the app?:wink: